# Generated by go2rpm 1.3
%bcond_without check

# https://github.com/mattermost/xml-roundtrip-validator
%global goipath         github.com/mattermost/xml-roundtrip-validator
%global commit          8fd2afad43d104eeb8d281c6a399660974a965e5

%gometa

%global common_description %{expand:
The Go module github.com/mattermost/xml-roundtrip-validator implements
mitigations for multiple security issues in Go's encoding/xml. Applications that
use encoding/xml for security-critical operations, such as XML signature
validation and SAML, may use the Validate and ValidateAll functions to avoid
impact from malicious XML inputs.}

%global golicenses      LICENSE.txt
%global godocs          README.md SECURITY.md advisories/unstable-\\\
                        attributes.md advisories/unstable-directives.md\\\
                        advisories/unstable-elements.md

Name:           %{goname}
Version:        0
Release:        0.3%{?dist}
Summary:        Mitigations for multiple security issues in Go's encoding/xml

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/xrv %{goipath}/cmd/

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE.txt
%doc README.md SECURITY.md advisories/unstable-attributes.md
%doc advisories/unstable-directives.md advisories/unstable-elements.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 01 22:17:56 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20210101git8fd2afa
- Initial package
